Skip to navigation

Bulk Attach Restore Template

Attaches a restore template to multiple resources.

Existing restore template assignments on the resources are overwritten.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the restore template is in. You can get your project ID from the API Credentials page in your global management console.

restoreTemplateIdstringRequiredformat: "uuid"
ID of the restore template to attach to the resources.

Request

This endpoint expects an object.
resourceIdslist of stringsRequired

List of Eon-assigned resource IDs to attach the restore template to.

Response

Restore template attached.

Errors

400
Bad Request Error
404
Not Found Error